using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore.Model;
using SysCore.DAL;

public partial class System_ModuleFormat_ModuleFormat_Edit : System.Web.UI.Page
{
    public Hashtable xview = new Hashtable();
    protected void Page_Load(object sender, EventArgs e)
    {
        string action = Request["action"];
        xview.Add("action", action);
        //update为修改状态
        if (action.Equals("Update")) BindData();
    }
    /// <summary>
    /// 绑定页面数据
    /// </summary>
    void BindData()
    {
        int id = Convert.ToInt32(Request["id"]);
        ModuleFormatDAL dal = new ModuleFormatDAL();
        ModuleFormat m = dal.GetModuleFormat(id);
        xview.Add("id", id);
        xview.Add("module", m.module);
        xview.Add("field", m.field);
        xview.Add("field_name", m.field_name);
        xview.Add("title", m.title);
        xview.Add("width", m.width);
        xview.Add("color", m.color);
        xview.Add("auth_view", m.auth_view);
        xview.Add("auth_edit", m.auth_edit);
        xview.Add("can_edit", m.can_edit);
        xview.Add("sort", m.sort);
        xview.Add("show", m.show);
        xview.Add("hidden", m.hidden);
        xview.Add("sum_field", m.sum_field);
        xview.Add("default_value", m.default_value);
    }
}